Debian Bug report logs - #596423
[googleearth-package] Fixes for GoogleEarth 5.2.1

version graph

Package: googleearth-package; Maintainer for googleearth-package is Adnan Hodzic <adnan@foolcontrol.org>; Source for googleearth-package is src:googleearth-package.

Reported by: Rex Tsai <chihchun@kalug.linux.org.tw>

Date: Sat, 11 Sep 2010 09:18:01 UTC

Severity: grave

Tags: patch, squeeze

Merged with 588842, 590847, 603761, 605432, 605499

Found in version googleearth-package/0.5.7

Fixed in version googleearth-package/0.6.0

Done: Adnan Hodzic <adnan@foolcontrol.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Sat, 11 Sep 2010 09:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rex Tsai <chihchun@kalug.linux.org.tw>:
New Bug report received and forwarded. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Sat, 11 Sep 2010 09:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rex Tsai <chihchun@kalug.linux.org.tw>
To: Debian Bug Tracking System <submit@bugs.debian.org>, Rex Tsai <chihchun@kalug.linux.org.tw>
Subject: [googleearth-package] Fixes for GoogleEarth 5.2.1
Date: Sat, 11 Sep 2010 17:16:06 +0800
[Message part 1 (text/plain, inline)]
Package: googleearth-package
Version: 0.5.7
Severity: normal
Tags: patch

--- Please enter the report below this line. ---

Enclosed please find a new patch against Google Earth 5.2.1.

In these changes, I removed the Qt4 libraries and use our own 
libfreeimage3 libraries.

* Avoid crashing[1] by QtWebKit. The QtWebKit libraries comes with 
GoogleEarch is incompatible with system browser plugins.

* Use the system font settings, but not Google Earth's internal font 
setting. It fixed font issue of non-en_US locale (ex: Chinese)

* I use LD_PRELOAD to overwrite the freeimages3 functions google linked 
into their own libIGGfx.so, which also caused crashing[2].

This patch should also fixes #590847[3], #590842[4],

[1] stactrace of Google's own QtWebKit
Stacktrace from glibc:
/usr/lib/googleearth/libgoogleearth_free.so(+0xd090b)[0xb759490b]
[0xb7875400]
/usr/lib/libgdk_pixbuf-2.0.so.0(gdk_pixbuf_from_pixdata+0x13f)[0x9f648daf]
/usr/lib/libgdk_pixbuf-2.0.so.0(gdk_pixbuf_new_from_inline+0x63)[0x9f649073]
/usr/lib/flashplugin-nonfree/libflashplayer.so(+0x4d335)[0x9fc68335]
/usr/lib/flashplugin-nonfree/libflashplayer.so(+0x4bd8e)[0x9fc66d8e]
/usr/lib/flashplugin-nonfree/libflashplayer.so(NP_Initialize+0x1ae)[0x9fc6b28e]
/usr/lib/googleearth/libQtWebKit.so.4(+0x747b22)[0xb6151b22]
/usr/lib/googleearth/libQtWebKit.so.4(+0x747c0c)[0xb6151c0c]

[2] stactrace without LD_PRELOAD freeimages3
Stacktrace from glibc:
/usr/lib/googleearth/libgoogleearth_free.so(+0xd090b)[0xb788290b]
[0xb78db400]
/usr/lib/googleearth/libIGGfx.so(+0x1296c9)[0xb3f206c9]
/usr/lib/googleearth/libIGGfx.so(FreeImage_LoadFromHandle+0xb1)[0xb3f0e2c1]
/usr/lib/googleearth/libIGGfx.so(_ZN3Gap3Gfx7igImage21platformLoadFreeImageEPNS_4Core6igFileEbPNS0_19igImageMetaDataListE+0xa1)[0xb3ef84b1]
/usr/lib/googleearth/libIGGfx.so(_ZN3Gap3Gfx10igOglImage12platformLoadEPNS_4Core6igFileEPNS0_19igImageMetaDataListE+0x112)[0xb3ef8bb2]
/usr/lib/googleearth/libIGGfx.so(_ZN3Gap3Gfx7igImage8loadFileEPNS_4Core6igFileEPNS0_19igImageMetaDataListE+0x12d)[0xb3ee91ad]
/usr/lib/googleearth/libevll.so(_ZN5earth4evll7Texture9LoadBytesEPKhi+0xa6d)[0xb0ad7b8d]

[3] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=588847
[4] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=588842

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.32-4-686-bigmem

Debian Release: squeeze/sid
  500 unstable        www.emdebian.org
  500 unstable        www.debian-multimedia.org
  500 unstable        http.us.debian.org
  500 unstable        ftp.us.debian.org
  500 unstable        debian.wgdd.de
  500 testing         ftp.us.debian.org
  500 testing         dl.google.com
  500 stable          repo.wuala.com
  500 stable          dl.google.com
  500 stable          deb.opera.com
  500 lucid           ppa.launchpad.net
  500 lucid           linux.getdropbox.com
    1 experimental    ftp.us.debian.org

--- Package information. ---
Depends         (Version) | Installed
=========================-+-===========
wget                      | 1.12-2
 OR curl                  | 7.21.1-1
dpkg-dev                  | 1.15.8.4
fakeroot                  | 1.14.4-1
bzip2                     | 1.0.5-4
file                      | 5.04-5
x11-common                | 1:7.5+6
x11-utils                 | 7.5+4


Package's Recommends field is empty.

Package's Suggests field is empty.



[googleearth-package-0.5.7.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Tue, 09 Nov 2010 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to YunQiang Su <wzssyqa@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Tue, 09 Nov 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 596423@bugs.debian.org (full text, mbox):

From: YunQiang Su <wzssyqa@gmail.com>
To: 596423@bugs.debian.org
Subject: Re:[googleearth-package] Fixes for GoogleEarth 5.2.1
Date: Wed, 10 Nov 2010 02:56:04 +0800
[Message part 1 (text/plain, inline)]
Yes, it works ,but your patch seems have a problem: it can not work with
amd64.

you hardcoded that preload /usr/lib/libfreeimage.so.3, but there is not
32bit version of this file.

Maybe, takes this file with this package, can do this job.

-- 
YunQiang Su
[Message part 2 (text/html, inline)]

Forcibly Merged 596423 603761. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Wed, 17 Nov 2010 00:33:06 GMT) Full text and rfc822 format available.

Forcibly Merged 590847 596423 603761. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Wed, 17 Nov 2010 00:39:03 GMT) Full text and rfc822 format available.

Forcibly Merged 588842 590847 596423 603761. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Wed, 17 Nov 2010 00:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 01:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 01:51:02 GMT) Full text and rfc822 format available.

Message #21 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: 596423@bugs.debian.org
Cc: Rex Tsai <chihchun@kalug.linux.org.tw>, ping.nsr.yeh@gmail.com, adnan@foolcontrol.org
Subject: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 09:46:08 +0800
[Message part 1 (text/plain, inline)]
Rex, too bad Google earth does not work on Debian, despite your patch,
for me.

Here are the messages seen during a run of your patched make-googleearth-package.
[make-googleearth-package_output.txt (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
And we see still
$ googleearth
/usr/lib/googleearth/googleearth-bin: error while loading shared libraries: libQtWebKit.so.4: cannot open shared object file: No such file or directory

So we install libqtwebkit4, and... Crash.

[crashlog-4ce33287.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 02:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 02:03:05 GMT) Full text and rfc822 format available.

Message #26 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: Rex Tsai <chihchun@kalug.linux.org.tw>
Cc: 596423@bugs.debian.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 10:00:40 +0800
On Wed, Nov 17, 2010 at 09:55:39AM +0800, Rex Tsai wrote:
> are you running 64 bit? and did you use LD_PRELOAD for libfreeimage3?
> -Rex
No I am 32 bit. And no, are there any instructions how to use
LD_PRELOAD for libfreeimage32. I am rather dumb, you see.




Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 02:15:03 GMT) Full text and rfc822 format available.

Message #31 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: chihchun@kalug.linux.org.tw
Cc: 596423@bugs.debian.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 10:12:01 +0800
[Message part 1 (text/plain, inline)]
OK reading
http://people.debian.org.tw/~chihchun/2010/09/12/google-earth-for-linux/
$ LD_PRELOAD=/usr/lib/libfreeimage.so.3 googleearth
Google Earth has caught signal 11.
[crashlog-4ce339b1.txt (text/plain, inline)]
Major Version 5
Minor Version 2
Build Number 0001
Build Date Sep  1 2010
Build Time 11:25:42
OS Type 3
OS Major Version 2
OS Minor Version 6
OS Build Version 32
OS Patch Version 0
Crash Signal 11
Crash Time 1289959857
Up Time 3.27545

Stacktrace from glibc:
/usr/lib/googleearth/libgoogleearth_free.so(+0xd090b)[0xb773a90b]
[0xb7875400]
/usr/lib/libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6990841]
/usr/lib/libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1eb)[0xb6992deb]
/usr/lib/libQtGui.so.4(_ZN14QWidgetPrivate12showChildrenEb+0x170)[0xb6990d10]
/usr/lib/libQtGui.so.4(_ZN14QWidgetPrivate11show_helperEv+0x61)[0xb6990841]
/usr/lib/libQtGui.so.4(_ZN7QWidget10setVisibleEb+0x1eb)[0xb6992deb]
/usr/lib/libQtGui.so.4(_ZN7QWidget10showNormalEv+0x72)[0xb69803e2]
/usr/lib/googleearth/libgoogleearth_free.so(_ZN10MainWindow18readScreensizeInfoEv+0xc35)[0xb7705b15]
/usr/lib/googleearth/libgoogleearth_free.so(_ZN5earth6client11Application12SetupMainWinENS0_3Kvw7ProductEb+0x29e)[0xb773ec1e]
/usr/lib/googleearth/libgoogleearth_free.so(_ZN5earth6client11Application3runEv+0x42f)[0xb7745a7f]
/usr/lib/googleearth/libgoogleearth_free.so(earthmain+0x27d)[0xb7739d3d]
/usr/lib/googleearth/googleearth-bin(_init+0x12e)[0x80486d2]
/lib/i686/cmov/libc.so.6(__libc_start_main+0xe6)[0xb5316c76]
/usr/lib/googleearth/googleearth-bin(_init+0x9d)[0x8048641]

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 09:12:03 GMT) Full text and rfc822 format available.

Message #36 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: chihchun@kalug.linux.org.tw
Cc: 596423@bugs.debian.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 17:09:18 +0800
[Message part 1 (text/plain, inline)]
>>>>> "RT" == Rex Tsai <chihchun@kalug.linux.org.tw> writes:
RT> I would try to down upgrade Qt or use the built-in Qt of Google Earth.

OK, first trying the latter suggestion,
cd /usr/lib/googleearth/||exit 5
for qtlib in libQtCore.so.4 libQtGui.so.4 libQtNetwork.so.4 libQtWebKit.so.4 ; do
       ln ${qtlib}.moved.for.workaround ${qtlib}
done
allows GE to run a total of 18 seconds! Much more than before.
[crashlog-4ce39a8a.txt (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
I will next try your downgrade suggestion...

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 09:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 09:33:03 GMT) Full text and rfc822 format available.

Message #41 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: chihchun@kalug.linux.org.tw
Cc: 596423@bugs.debian.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 17:29:12 +0800
[Message part 1 (text/plain, inline)]
OK, removing those links I just created, I now did
# aptitude install libqtcore4/unstable libqt4-webkit/unstable #note the
latter is not in Depends, but I think you said I need it.
...and this time, googleearth lasts a total of six seconds.
[crashlog-4ce39f9b.txt (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
Do you have any other ideas?
I did not reinstall. Just apt-got other packages etc.

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 10:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 10:27:08 GMT) Full text and rfc822 format available.

Message #46 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: chihchun@kalug.linux.org.tw
Cc: 596423@bugs.debian.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 18:24:30 +0800
By the way, Rex, did your check purging?
dpkg: warning: while removing googleearth, directory '/usr/lib/googleearth' not empty so not removed.
[/usr/lib/googleearth/libcrypto.so.0.9.8]




Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 11:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rex Tsai <chihchun@kalug.linux.org.tw>:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 11:48:02 GMT) Full text and rfc822 format available.

Message #51 received at 596423@bugs.debian.org (full text, mbox):

From: Rex Tsai <chihchun@kalug.linux.org.tw>
To: jidanni@jidanni.org
Cc: 596423@bugs.debian.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 19:43:54 +0800
[Message part 1 (text/plain, inline)]
My workaroun works with these versions

ii  googleearth
5.2.1.1588+0.5.7-1                   Google Earth, a 3D map/planet viewer
ii  googleearth-package
0.5.7                                utility to automatically build a Debian
package of Google Earth
ii  libfreeimage3
3.10.0-4                             Support library for graphics image
formats (library)
ii  libqt4-core
4:4.6.3-4                            transitional package for Qt 4 core
non-GUI runtime libraries
ii  libqt4-webkit
4:4.6.3-4                            Qt 4 WebKit module

It could caused crash if you use different version of libraries.

Regards
-Rex

2010/11/17 <jidanni@jidanni.org>

> >>>>> "RT" == Rex Tsai <chihchun@kalug.linux.org.tw> writes:
> RT> I would try to down upgrade Qt or use the built-in Qt of Google Earth.
>
> OK, first trying the latter suggestion,
> cd /usr/lib/googleearth/||exit 5
> for qtlib in libQtCore.so.4 libQtGui.so.4 libQtNetwork.so.4
> libQtWebKit.so.4 ; do
>       ln ${qtlib}.moved.for.workaround ${qtlib}
> done
> allows GE to run a total of 18 seconds! Much more than before.
>
> I will next try your downgrade suggestion...
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 12:15:03 GMT) Full text and rfc822 format available.

Message #56 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: chihchun@kalug.linux.org.tw
Cc: 596423@bugs.debian.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 20:11:36 +0800
[Message part 1 (text/plain, inline)]
Same versions here, (though not all of them were listed in Depends!)
# set googleearth googleearth-package libfreeimage3 libqt4-core libqt4-webkit
# apt-show-versions $@
googleearth 5.2.1.1588+0.5.7-1 installed: No available version in archive
googleearth-package/unstable uptodate 0.5.7
libfreeimage3/unstable uptodate 3.10.0-4
libqt4-core/unstable uptodate 4:4.6.3-4
libqt4-webkit/unstable uptodate 4:4.6.3-4
Crashes just the same.
[crashlog-4ce3c585.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Wed, 17 Nov 2010 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Wed, 17 Nov 2010 12:27:03 GMT) Full text and rfc822 format available.

Message #61 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: chihchun@kalug.linux.org.tw
Cc: 596423@bugs.debian.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Wed, 17 Nov 2010 20:22:00 +0800
[Message part 1 (text/plain, inline)]
Doing
cd /usr/lib/googleearth/||exit 5
for qtlib in libQtCore.so.4 libQtGui.so.4 libQtNetwork.so.4 libQtWebKit.so.4 ; do
       ln ${qtlib}.moved.for.workaround ${qtlib}
done
again allowed me to run a whole 55 seconds before
[crashlog-4ce3c79a.txt (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
which says /usr/lib/libfreeimage.so.3 ...

Information forwarded to debian-bugs-dist@lists.debian.org, Adnan Hodzic <adnan@foolcontrol.org>:
Bug#596423; Package googleearth-package. (Thu, 18 Nov 2010 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Adnan Hodzic <adnan@foolcontrol.org>. (Thu, 18 Nov 2010 06:18:03 GMT) Full text and rfc822 format available.

Message #66 received at 596423@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: chihchun@kalug.linux.org.tw
Cc: 596423@bugs.debian.org, hojia@tossug.org
Subject: Re: Google Earth for GNU/Linux 5.2.1.1588 does not work
Date: Thu, 18 Nov 2010 14:15:11 +0800
>>>>> "RT" == Rex Tsai <chihchun@kalug.linux.org.tw> writes:
RT> You can try to remove LD_PRELOAD settings from /usr/bin/googleearth.

RT> It's kind of strange, since we all uses same version of library. There
RT> is no debug symbols in google earth binary, and I can not reproduce
RT> your problem on my machine. It's not easy to guess what's wrong of
RT> your installation.

Good heavens, dude. It worked! I could use Google Earth!

diff -u /usr/bin/googleearth /home/jidanni/tmp/googleearth
--- /usr/bin/googleearth	2010-11-17 19:52:36.000000000 +0800
+++ /home/jidanni/tmp/googleearth	2010-11-18 13:56:53.000000000 +0800
@@ -19,5 +19,5 @@
   LD_PRELOAD=${GOOGLE_EARTH_LD_PRELOAD}
 fi
 export LD_PRELOAD
-
+unset LD_PRELOAD #jidanni
 /usr/lib/googleearth/googleearth-bin "$@"

(This is still with my
 cd /usr/lib/googleearth/||exit 5
 for qtlib in libQtCore.so.4 libQtGui.so.4 libQtNetwork.so.4 libQtWebKit.so.4 ; do
    ln ${qtlib}.moved.for.workaround ${qtlib}
 done
links. Removing them of course won't work...)




Forcibly Merged 588842 590847 596423 603761 605432 605499. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 05 Dec 2010 02:33:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jan 2011 07:33:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:33:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.